PHP Manual
Prev |  | Next

# ftp_fget

(PHP 3 >= 3.0.13, PHP 4, PHP 5)

ftp_fget -- Downloads a file from the FTP server and saves to an open file

## Description

bool ftp_fget ( resource ftp_stream, resource handle, string remote_file, int mode [, int resumepos] )

ftp_fget() retrieves remote_file from the FTP server, and writes it to the given file pointer.

## Parameters

ftp_stream

  The link identifier of the FTP connection.

handle

  An open file pointer in which we store the data.

remote_file

  The remote file path.

mode

  The transfer mode. Must be either `FTP_ASCII` or `FTP_BINARY`.

resumepos

  The position in the remote file to start downloading from.

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

## Examples

Example 1. ftp_fget() example
`<?php // open some file for reading $remote_file = 'somefile.txt'; $handle = fopen('localfile.txt', 'w'); // set up basic connection $conn_id = ftp_connect($ftp_server); // login with username and password $login_result = ftp_login($conn_id, $ftp_user_name, $ftp_user_pass); // try to download $file if (ftp_fget($conn_id, $handle, $remote_file, FTP_ASCII, 0)) { echo "successfully written to $file\n"; } else { echo "There was a problem with $file\n"; } // close the connection and the file handler ftp_close($conn_id); fclose($handle); ?>`

## ChangeLog

Version | Description
--- | ---
4.3.0 | resumepos was added.

## See Also

ftp_get()
ftp_nb_get()
ftp_nb_fget()

Prev | Home | Next
ftp_exec | Up | ftp_fput